Skip to main content

Locking and rolling ruleset versions

Suggest edit Updated on February 9, 2022

If your system includes ruleset names that use ruleset prerequisite validation instead of application-based validation, lock your existing ruleset and roll them into new versions before you continue your development. Locking ensures that future development is based on the updated rulesets and that your applications consistently reference the latest features.

Note: The update process automatically updates any prerequisite for Pega-ProCom to the highest version of the ruleset in the system.
  1. In the header of Dev Studio, click ConfigureApplicationStructureReferencing Applications.

  2. Display the application page by clicking Lock and Roll for each application.

  3. Review the ruleset version prerequisites for the application ruleset by selecting + next to Prerequisites. To modify a required rule form, click the name of the ruleset version to edit it.

  4. Select the Lock checkbox and select Update my application to include the new ruleset versions.

  5. Enter the password for this ruleset version and select the Roll checkbox.

  6. In the Roll to Version field, enter a new ruleset version or accept the default version which increments the current version by one.

  7. In the NEW section of the Prerequisites verify the list of ruleset prerequisites.

    In particular, verify that the lowest ruleset points to the appropriate version of Pega Platform
  8. Apply the changes to your ruleset by clicking Run.

  9. Repeat these steps for each application in your system.

  • Previous topic Enabling Admin Studio
  • Next topic Identifying conflicts with rules that cannot be overridden by running the final rules conflict report
Did you find this content helpful? YesNo

50% found this useful

Have a question? Get answers now.

Visit the Support Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us